| Flutter Impeller |

Public Member Functions | List of all members
impeller::BlurImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::BlurImageFilter:

## Public Member Functions
| BlurImageFilter (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
| ~BlurImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
int | GetRequiredMipCount () const override
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 98 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ BlurImageFilter()

impeller::BlurImageFilter::BlurImageFilter | ( | Sigma | sigma_x,
|  | Sigma | sigma_y,
|  | FilterContents::BlurStyle | blur_style,
|  | Entity::TileMode | tile_mode
| ) |  |

Definition at line 71 of file image_filter.cc.

75 : sigma_x_(sigma_x),
76 sigma_y_(sigma_y),
77 blur_style_(blur_style),
78 tile_mode_(tile_mode) {}

## ◆ ~BlurImageFilter()

impeller::BlurImageFilter::~BlurImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::BlurImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 88 of file image_filter.cc.

88 {
89 return std::make_shared<BlurImageFilter>(*this);
90 }

## ◆ GetRequiredMipCount()

int impeller::BlurImageFilter::GetRequiredMipCount | ( |  | ) | const
| inline override virtual

Reimplemented from impeller::ImageFilter.

Definition at line 119 of file image_filter.h.

119 :
120 Sigma sigma_x_;

## ◆ Visit()

void impeller::BlurImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 117 of file image_filter.h.

117 { return 4; }

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::BlurImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 82 of file image_filter.cc.

83 {
84 return FilterContents::MakeGaussianBlur(input, sigma_x_, sigma_y_, tile_mode_,
85 blur_style_);
86 }

References impeller::FilterContents::MakeGaussianBlur().

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::FilterContents::MakeGaussianBlur
static std::shared_ptr< FilterContents > MakeGaussianBlur(const FilterInput::Ref &input, Sigma sigma_x, Sigma sigma_y, Entity::TileMode tile_mode=Entity::TileMode::kDecal, BlurStyle mask_blur_style=BlurStyle::kNormal, const std::shared_ptr< Geometry > &mask_geometry=nullptr)
Definition: filter_contents.cc:36